<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Implementing Http C2 Channels — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `configure --protocol <val> --port <val> --profile <val>` | Configure HTTP/S C2 listener |
| `deploy --redirector <val> --backend <val>` | Deploy C2 redirector |
| `test --profile <val> --target <val>` | Test traffic blending |
| `report --format <val>` | Generate C2 channel report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--protocol` | string | Yes | Protocol parameter |
| `--port` | string | Yes | Port parameter |
| `--profile` | string | Yes | Profile parameter |
| `--redirector` | string | Yes | Redirector parameter |
| `--backend` | string | Yes | Backend parameter |
| `--target` | string | Yes | Target parameter |
| `--format` | string | Yes | Format parameter |
